%global	momorel 1
Name:           libwacom
Version:        0.24
Release:        %{momorel}m%{?dist}
Summary:        Tablet Information Client Library
Requires:       %{name}-data

Group:          System Environment/Libraries
License:        MIT
URL:            http://linuxwacom.sourceforge.net

Source0:        https://sourceforge.net/projects/linuxwacom/files/%{name}/%{name}-%{version}.tar.bz2
NoSource:	0
Source1:        libwacom.rules

BuildRequires:  autoconf automake libtool doxygen
BuildRequires:  glib2-devel libgudev1-devel

%description
%{name} is a library that provides information about Wacom tablets and
tools. This information can then be used by drivers or applications to tweak
the UI or general settings to match the physical tablet.

%package devel
Summary:        Tablet Information Client Library Library Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Tablet information client library library development package.

%package data
Summary:        Tablet Information Client Library Library Data Files
BuildArch:      noarch

%description data
Tablet information client library library data files.

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf --force -v --install || exit 1
%configure --disable-static
%make

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
install -d ${RPM_BUILD_ROOT}/lib/udev/rules.d
install -p -m 644 %SOURCE1 ${RPM_BUILD_ROOT}/lib/udev/rules.d/65-libwacom.rules

# We intentionally don't ship *.la files
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README 
%{_libdir}/libwacom.so.*
/lib/udev/rules.d/65-libwacom.rules
%{_bindir}/libwacom-list-local-devices
%{_datadir}/libwacom/layouts/*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%dir %{_includedir}/libwacom-1.0/
%dir %{_includedir}/libwacom-1.0/libwacom
%{_includedir}/libwacom-1.0/libwacom/libwacom.h
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc

%files data
%defattr(-,root,root,-)
%doc COPYING
%dir %{_datadir}/libwacom
%{_datadir}/libwacom/*.tablet
%{_datadir}/libwacom/*.stylus

%changelog
* Fri Mar 24 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.24-1m)
- update to 0.24

* Thu May 19 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-1m)
- update 0.19

* Sun Feb 28 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.18-1m)
- update 0.18

* Sun Oct 19 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-1m)
- update 0.10

* Wed Jul  4 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6-1m)
- import from fedora
